<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="e2c4f742-461e-4c7a-a6e0-b5f4b8e8f229" name="Changes" comment="Examen 2025/03/21">
      <change afterPath="$PROJECT_DIR$/ExamenesProgramacion.eml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/ExamenesProgramacion.userlibraries" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/librerias/Driver_MySQL_Connector_J/mysql-connector-java-8.0.19.jar" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/examenes/examen20250321/controlador/ControladorInquilino.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/examenes/examen20250321/controlador/ControladorLocalidad.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/examenes/examen20250321/controlador/ControladorMorosidad.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/examenes/examen20250321/controlador/ControladorVivienda.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/examenes/examen20250321/controlador/GestorConexiones.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/examenes/examen20250321/modelo/Inquilino.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/examenes/examen20250321/modelo/Localidad.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/examenes/examen20250321/modelo/Morosidad.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/examenes/examen20250321/modelo/Vivienda.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/examenes/examen20250321/vista/GestionAlquiler.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Exception" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 1
}</component>
  <component name="ProjectId" id="2nvRIu3ZfVBKxiIKkbDGfwPAbgr" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "Application.Ejercicio_a.executor": "Run",
    "Application.Ejercicio_b.executor": "Run",
    "Application.Ejercicio_c.executor": "Run",
    "Application.Ejercicio_d.executor": "Run",
    "Application.Ejercicio_e.executor": "Run",
    "Application.GestionAlquiler.executor": "Run",
    "Application.Main.executor": "Run",
    "Application.Zoologico.executor": "Run",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "RunOnceActivity.git.unshallow": "true",
    "com.codeium.enabled": "true",
    "dart.analysis.tool.window.visible": "false",
    "git-widget-placeholder": "main",
    "kotlin-language-version-configured": "true",
    "last_opened_file_path": "/Users/h4ckx0r/IdeaProjects/ExamenesProgramacion/librerias",
    "onboarding.tips.debug.path": "/Users/h4ckx0r/IdeaProjects/ExamenesProgramacion/src/main/java/net/h4ckx0r/Main.java",
    "project.structure.last.edited": "Libraries",
    "project.structure.proportion": "0.0",
    "project.structure.side.proportion": "0.2",
    "settings.editor.selected.configurable": "preferences.pluginManager",
    "show.migrate.to.gradle.popup": "false"
  }
}]]></component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/librerias" />
      <recent name="$PROJECT_DIR$/src/main/java/examenes/examen20250221/ejercicio04" />
      <recent name="$PROJECT_DIR$/src/main/java/examenes/examen20250131/ejercicio04" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="examenes.examen20250321.controlador" />
      <recent name="examenes.examen20250221.ejercicio04" />
      <recent name="examenes.examen20241213" />
      <recent name="examenes.examen20241122" />
      <recent name="examenes.examen20241025" />
    </key>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="e2c4f742-461e-4c7a-a6e0-b5f4b8e8f229" name="Changes" comment="" />
      <created>1729851488897</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1729851488897</updated>
    </task>
    <task id="LOCAL-00001" summary="Commit inicial">
      <option name="closed" value="true" />
      <created>1729852450459</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1729852450459</updated>
    </task>
    <task id="LOCAL-00002" summary="Ejercicio C terminado">
      <option name="closed" value="true" />
      <created>1729852463064</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1729852463064</updated>
    </task>
    <task id="LOCAL-00003" summary="Ejercicio D terminado">
      <option name="closed" value="true" />
      <created>1729853184666</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1729853184666</updated>
    </task>
    <task id="LOCAL-00004" summary="Formateo ej c">
      <option name="closed" value="true" />
      <created>1729854190227</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1729854190227</updated>
    </task>
    <task id="LOCAL-00005" summary="Ejercicio B terminado">
      <option name="closed" value="true" />
      <created>1729854258590</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1729854258590</updated>
    </task>
    <task id="LOCAL-00006" summary="Ejercicio B comentado">
      <option name="closed" value="true" />
      <created>1729854476216</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1729854476216</updated>
    </task>
    <task id="LOCAL-00007" summary="Ejercicio E terminado">
      <option name="closed" value="true" />
      <created>1729855840536</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1729855840536</updated>
    </task>
    <task id="LOCAL-00008" summary="Ejercicio A terminado">
      <option name="closed" value="true" />
      <created>1729857807569</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1729857807569</updated>
    </task>
    <task id="LOCAL-00009" summary="utils y resto">
      <option name="closed" value="true" />
      <created>1729857821078</created>
      <option name="number" value="00009" />
      <option name="presentableId" value="LOCAL-00009" />
      <option name="project" value="LOCAL" />
      <updated>1729857821078</updated>
    </task>
    <task id="LOCAL-00010" summary="Se formatea utils">
      <option name="closed" value="true" />
      <created>1729857949405</created>
      <option name="number" value="00010" />
      <option name="presentableId" value="LOCAL-00010" />
      <option name="project" value="LOCAL" />
      <updated>1729857949405</updated>
    </task>
    <task id="LOCAL-00011" summary="Examen 2024/11/21">
      <option name="closed" value="true" />
      <created>1732277745346</created>
      <option name="number" value="00011" />
      <option name="presentableId" value="LOCAL-00011" />
      <option name="project" value="LOCAL" />
      <updated>1732277745346</updated>
    </task>
    <task id="LOCAL-00012" summary="Examen 2024/12/13">
      <option name="closed" value="true" />
      <created>1734091528594</created>
      <option name="number" value="00012" />
      <option name="presentableId" value="LOCAL-00012" />
      <option name="project" value="LOCAL" />
      <updated>1734091528594</updated>
    </task>
    <task id="LOCAL-00013" summary="Examen 2025/01/31">
      <option name="closed" value="true" />
      <created>1738328024100</created>
      <option name="number" value="00013" />
      <option name="presentableId" value="LOCAL-00013" />
      <option name="project" value="LOCAL" />
      <updated>1738328024100</updated>
    </task>
    <task id="LOCAL-00014" summary="Examen 2025/02/21">
      <option name="closed" value="true" />
      <created>1740142696710</created>
      <option name="number" value="00014" />
      <option name="presentableId" value="LOCAL-00014" />
      <option name="project" value="LOCAL" />
      <updated>1740142696710</updated>
    </task>
    <option name="localTasksCounter" value="15" />
    <servers />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="Commit inicial" />
    <MESSAGE value="Ejercicio C terminado" />
    <MESSAGE value="Ejercicio D terminado" />
    <MESSAGE value="Formateo ej c" />
    <MESSAGE value="Ejercicio B terminado" />
    <MESSAGE value="Ejercicio B comentado" />
    <MESSAGE value="Ejercicio E terminado" />
    <MESSAGE value="Ejercicio A terminado" />
    <MESSAGE value="utils y resto" />
    <MESSAGE value="Se formatea utils" />
    <MESSAGE value="Examen 2024/11/21" />
    <MESSAGE value="Examen 2024/12/13" />
    <MESSAGE value="Examen 2025/01/31" />
    <MESSAGE value="Examen 2025/02/21" />
    <MESSAGE value="Examen 2025/03/21" />
    <option name="LAST_COMMIT_MESSAGE" value="Examen 2025/03/21" />
  </component>
</project>